# VH6B LUX alerts
# Highly Confidential and Proprietary Zoox Information. Copyright (c) Zoox.

component: 'LUX'
source_enum: kLux
namespace: zoox::lux_b
can_messages:
    - status_msg: LUX1_alertStatus
      log_msg: LUX1_alertLog
    - status_msg: LUX2_alertStatus
      log_msg: LUX2_alertLog
can_import: firmware/common/can/generated/vh6/vh6b/lux.h
can_namespace: vh6b
faults:
  - id: 0
    name: CommStatusPrimary
    severity: WARNING
    description: Communication Issue with Primary CAN channel (BDY1/BDY2 CAN)
    troubleshooting_steps: Check connection with LUX, contact BaseOps
  - id: 1
    name: CommStatusSecondary
    severity: WARNING
    description: Communication Issue with Secondary/Private CAN channel (LUX CAN)
    troubleshooting_steps: Check connection with LUX, contact BaseOps
  - id: 2
    name: AnimationsError
    severity: WARNING
    description: Operating Issue with LUX Animation Software
    troubleshooting_steps: Contact BaseOps, power cycle/replace LUX ECU
  - id: 3
    name: EcuFunctionsError
    severity: WARNING
    description: Operating Issue with LUX Hardware
    troubleshooting_steps: Contact BaseOps, power cycle/replace LUX ECU
  - id: 4
    name: HeadLampCommQ1
    severity: WARNING
    description: Communication Issue with Q1 Head Lamp
    troubleshooting_steps: Check connection with Q1 head lamp, contact BaseOps
  - id: 5
    name: HeadLampQ1
    severity: WARNING
    description: Hardware Issue With Q1 Head Lamp
    troubleshooting_steps: Contact BaseOps, replace Q1 head lamp
  - id: 6
    name: HeadLampCommQ4
    severity: WARNING
    description: Communication Issue with Q4 Head Lamp
    troubleshooting_steps: Check connection with Q4 head lamp, contact BaseOps
  - id: 7
    name: HeadLampQ4
    severity: WARNING
    description: Hardware Issue With Q4 Head Lamp
    troubleshooting_steps: Contact BaseOps, replace Q4 head lamp
  - id: 8
    name: ActiveReflexQ1
    severity: WARNING
    description: Operating Issue with Q1 Active Reflex
    troubleshooting_steps: Contact BaseOps
  - id: 9
    name: ActiveReflexQ4
    severity: WARNING
    description: Operating Issue with Q4 Active Reflex
    troubleshooting_steps: Contact BaseOps
  - id: 10
    name: HaloCommNorth
    severity: WARNING
    description: Communication Issue with North Halo
    troubleshooting_steps: Check connection with North Halo, contact BaseOps
  - id: 11
    name: HaloNorth
    severity: WARNING
    description: Operating Issue with North Halo
    troubleshooting_steps: Contact BaseOps, power cycle/replace hardware
  - id: 12
    name: SideMarkerLightCommQ2
    severity: WARNING
    description: Communication Issue with Q2 Side Marker Light
    troubleshooting_steps: Check connection with Q2 Side Marker Light, contact BaseOps
  - id: 13
    name: SideMarkerLightQ2
    severity: WARNING
    description: Operating Issue with Q2 Side Marker Light
    troubleshooting_steps: Contact BaseOps, power cycle/replace hardware
  - id: 14
    name: SideMarkerLightCommQ3
    severity: WARNING
    description: Communication Issue with Q3 Side Marker Light
    troubleshooting_steps: Check connection with Q3 Side Marker Light, contact BaseOps
  - id: 15
    name: SideMarkerLightQ3
    severity: WARNING
    description: Operating Issue with Q3 Side Marker Light
    troubleshooting_steps: Contact BaseOps, power cycle/replace hardware
  - id: 16
    name: ServiceBayLogoComNorth
    severity: WARNING
    description: Communication Issue with North Service Bay Logo
    troubleshooting_steps: Check connection with North Service Bay Logo, contact BaseOps
  - id: 17
    name: ServiceBayLogoNorth
    severity: WARNING
    description: Operating Issue with North Service Bay Logo
    troubleshooting_steps: Contact BaseOps, power cycle/replace hardware
  - id: 18
    name: ServiceBayIndCommQ1
    severity: WARNING
    description: Communication Issue with Q1 Service Bay Indicators
    troubleshooting_steps: Check connection with Q1 Service Bay Indicators, contact BaseOps
  - id: 19
    name: ServiceBayIndQ1
    severity: WARNING
    description: Operating Issue with Q1 Service Bay Indicators
    troubleshooting_steps: Contact BaseOps, power cycle/replace hardware
  - id: 20
    name: ServiceBayIndCommQ2
    severity: WARNING
    description: Communication Issue with Q2 Service Bay Indicators
    troubleshooting_steps: Check connection with Q2 Service Bay Indicators, contact BaseOps
  - id: 21
    name: ServiceBayIndQ2
    severity: WARNING
    description: Operating Issue with Q2 Service Bay Indicators
    troubleshooting_steps: Contact BaseOps, power cycle/replace hardware
  - id: 22
    name: PodPuddleLampQ1
    severity: WARNING
    description: Operating Issue with Q1 Pod Puddle Lamp
    troubleshooting_steps: Contact BaseOps, power cycle/replace hardware
  - id: 23
    name: PodPuddleLampQ2
    severity: WARNING
    description: Operating Issue with Q2 Pod Puddle Lamp
    troubleshooting_steps: Contact BaseOps, power cycle/replace hardware
  - id: 24
    name: DoorPuddleLampQ1
    severity: WARNING
    description: Operating Issue with Q1 Door Puddle Lamp
    troubleshooting_steps: Contact BaseOps, power cycle/replace hardware
  - id: 25
    name: DoorPuddleLampQ2
    severity: WARNING
    description: Operating Issue with Q2 Door Puddle Lamp
    troubleshooting_steps: Contact BaseOps, power cycle/replace hardware
  - id: 26
    name: MohawkIndicatorNorth
    severity: WARNING
    description: Operating Issue with North Mohawk Indicator
    troubleshooting_steps: Contact BaseOps, power cycle/replace hardware
  - id: 27
    name: LicensePlateLampNorth
    severity: WARNING
    description: Operating Issue with North License Plate Lamp
    troubleshooting_steps: Contact BaseOps, power cycle/replace hardware
